Hide navigation sidebar
Hide table of contents sidebar
PTB has undergone significant changes in v20. Please read the documentation carefully and also check out the transition guide in the wiki.
Back to top
Toggle table of contents sidebar

# Chat

class telegram.Chat(id, type, title=None, username=None, first_name=None, last_name=None, photo=None, description=None, invite_link=None, pinned_message=None, permissions=None, sticker_set_name=None, can_set_sticker_set=None, slow_mode_delay=None, bio=None, linked_chat_id=None, location=None, message_auto_delete_time=None, has_private_forwards=None, has_protected_content=None, join_to_send_messages=None, join_by_request=None, has_restricted_voice_and_video_messages=None, is_forum=None, active_usernames=None, emoji_status_custom_emoji_id=None, emoji_status_expiration_date=None, has_aggressive_anti_spam_enabled=None, has_hidden_members=None, available_reactions=None, accent_color_id=None, background_custom_emoji_id=None, profile_accent_color_id=None, profile_background_custom_emoji_id=None, has_visible_history=None, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a chat.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `id` is equal.

  Available In

  - `telegram.ChatBoostRemoved.chat`

  - `telegram.ChatBoostUpdated.chat`

  - `telegram.ChatJoinRequest.chat`

  - `telegram.ChatMemberUpdated.chat`

  - `telegram.ExternalReplyInfo.chat`

  - `telegram.Giveaway.chats`

  - `telegram.GiveawayWinners.chat`

  - `telegram.InaccessibleMessage.chat`

  - `telegram.MaybeInaccessibleMessage.chat`

  - `telegram.Message.chat`

  - `telegram.Message.forward_from_chat`

  - `telegram.Message.sender_chat`

  - `telegram.MessageOriginChannel.chat`

  - `telegram.MessageOriginChat.sender_chat`

  - `telegram.MessageReactionCountUpdated.chat`

  - `telegram.MessageReactionUpdated.actor_chat`

  - `telegram.MessageReactionUpdated.chat`

  - `telegram.PollAnswer.voter_chat`

  - `telegram.Update.effective_chat`

  Returned In

  `telegram.Bot.get_chat()`

  Changed in version 20.0:

  - Removed the deprecated methods `kick_member` and `get_members_count`.

  - The following are now keyword-only arguments in Bot methods: `location`, `filename`, `contact`, `{read, write, connect, pool}_timeout`, `api_kwargs`. Use a named argument for those, and notice that some positional arguments changed position as a result.

  Changed in version 20.0: Removed the attribute `all_members_are_administrators`. As long as Telegram provides this field for backwards compatibility, it is available through `api_kwargs`.

  Parameters:

    - id (`int`) – Unique identifier for this chat. This number may be greater than 32 bits and some programming languages may have difficulty/silent defects in interpreting it. But it is smaller than 52 bits, so a signed 64-bit integer or double-precision float type are safe for storing this identifier.

    - type (`str`) – Type of chat, can be either `PRIVATE`, `GROUP`, `SUPERGROUP` or `CHANNEL`.

    - title (`str`, optional) – Title, for supergroups, channels and group chats.

    - username (`str`, optional) – Username, for private chats, supergroups and channels if available.

    - first_name (`str`, optional) – First name of the other party in a private chat.

    - last_name (`str`, optional) – Last name of the other party in a private chat.

    - photo (`telegram.ChatPhoto`, optional) – Chat photo. Returned only in `telegram.Bot.get_chat()`.

    - bio (`str`, optional) – Bio of the other party in a private chat. Returned only in `telegram.Bot.get_chat()`.

    - has_private_forwards (`bool`, optional) –

      `True`, if privacy settings of the other party in the private chat allows to use `tg://user?id=<user_id>` links only in chats with the user. Returned only in `telegram.Bot.get_chat()`.

      New in version 13.9.

    - description (`str`, optional) – Description, for groups, supergroups and channel chats. Returned only in `telegram.Bot.get_chat()`.

    - invite_link (`str`, optional) – Primary invite link, for groups, supergroups and channel. Returned only in `telegram.Bot.get_chat()`.

    - pinned_message (`telegram.Message`, optional) – The most recent pinned message (by sending date). Returned only in `telegram.Bot.get_chat()`.

    - permissions (`telegram.ChatPermissions`) – Optional. Default chat member permissions, for groups and supergroups. Returned only in `telegram.Bot.get_chat()`.

    - slow_mode_delay (`int`, optional) – For supergroups, the minimum allowed delay between consecutive messages sent by each unprivileged user. Returned only in `telegram.Bot.get_chat()`.

    - message_auto_delete_time (`int`, optional) –

      The time after which all messages sent to the chat will be automatically deleted; in seconds. Returned only in `telegram.Bot.get_chat()`.

      New in version 13.4.

    - has_protected_content (`bool`, optional) –

      `True`, if messages from the chat can’t be forwarded to other chats. Returned only in `telegram.Bot.get_chat()`.

      New in version 13.9.

    - has_visible_history (`bool`, optional) –

      `True`, if new chat members will have access to old messages; available only to chat administrators. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.8.

    - sticker_set_name (`str`, optional) – For supergroups, name of group sticker set. Returned only in `telegram.Bot.get_chat()`.

    - can_set_sticker_set (`bool`, optional) – `True`, if the bot can change group the sticker set. Returned only in `telegram.Bot.get_chat()`.

    - linked_chat_id (`int`, optional) – Unique identifier for the linked chat, i.e. the discussion group identifier for a channel and vice versa; for supergroups and channel chats. Returned only in `telegram.Bot.get_chat()`.

    - location (`telegram.ChatLocation`, optional) – For supergroups, the location to which the supergroup is connected. Returned only in `telegram.Bot.get_chat()`.

    - join_to_send_messages (`bool`, optional) –

      `True`, if users need to join the supergroup before they can send messages. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.0.

    - join_by_request (`bool`, optional) –

      `True`, if all users directly joining the supergroup need to be approved by supergroup administrators. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.0.

    - has_restricted_voice_and_video_messages (`bool`, optional) –

      `True`, if the privacy settings of the other party restrict sending voice and video note messages in the private chat. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.0.

    - is_forum (`bool`, optional) –

      `True`, if the supergroup chat is a forum (has topics enabled).

      New in version 20.0.

    - active_usernames (Sequence[`str`], optional) –

      If set, the list of all active chat usernames; for private chats, supergroups and channels. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.0.

    - available_reactions (Sequence[`telegram.ReactionType`], optional) –

      List of available reactions allowed in the chat. If omitted, then all of `telegram.constants.ReactionEmoji` are allowed. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.8.

    - accent_color_id (`int`, optional) –

      Identifier of the `accent color` for the chat name and backgrounds of the chat photo, reply header, and link preview. See accent colors for more details. Returned only in `telegram.Bot.get_chat()`. Always returned in `telegram.Bot.get_chat()`.

      New in version 20.8.

    - background_custom_emoji_id (`str`, optional) –

      Custom emoji identifier of emoji chosen by the chat for the reply header and link preview background. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.8.

    - profile_accent_color_id (`int`, optional) –

      Identifier of the `accent color` for the chat’s profile background. See profile accent colors for more details. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.8.

    - profile_background_custom_emoji_id (`str`, optional) –

      Custom emoji identifier of the emoji chosen by the chat for its profile background. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.8.

    - emoji_status_custom_emoji_id (`str`, optional) –

      Custom emoji identifier of emoji status of the chat or the other party in a private chat. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.0.

    - emoji_status_expiration_date (`datetime.datetime`, optional) –

      Expiration date of emoji status of the chat or the other party in a private chat, in seconds. Returned only in `telegram.Bot.get_chat()`. The default timezone of the bot is used for localization, which is UTC unless `telegram.ext.Defaults.tzinfo` is used.

      New in version 20.5.

    - has_aggressive_anti_spam_enabled (`bool`, optional) –

      `True`, if aggressive anti-spam checks are enabled in the supergroup. The field is only available to chat administrators. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.0.

    - has_hidden_members (`bool`, optional) –

      `True`, if non-administrators can only get the list of bots and administrators in the chat. Returned only in `telegram.Bot.get_chat()`.

      New in version 20.0.

  id

    Unique identifier for this chat. This number may be greater than 32 bits and some programming languages may have difficulty/silent defects in interpreting it. But it is smaller than 52 bits, so a signed 64-bit integer or double-precision float type are safe for storing this identifier.

    Type:

      `int`

  type

    Type of chat, can be either `PRIVATE`, `GROUP`, `SUPERGROUP` or `CHANNEL`.

    Type:

      `str`

  title

    Optional. Title, for supergroups, channels and group chats.

    Type:

      `str`

  username

    Optional. Username, for private chats, supergroups and channels if available.

    Type:

      `str`

  first_name

    Optional. First name of the other party in a private chat.

    Type:

      `str`

  last_name

    Optional. Last name of the other party in a private chat.

    Type:

      `str`

  photo

    Optional. Chat photo. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `telegram.ChatPhoto`

  bio

    Optional. Bio of the other party in a private chat. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `str`

  has_private_forwards

    Optional. `True`, if privacy settings of the other party in the private chat allows to use `tg://user?id=<user_id>` links only in chats with the user. Returned only in `telegram.Bot.get_chat()`.

    New in version 13.9.

    Type:

      `bool`

  description

    Optional. Description, for groups, supergroups and channel chats. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `str`

  invite_link

    Optional. Primary invite link, for groups, supergroups and channel. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `str`

  pinned_message

    Optional. The most recent pinned message (by sending date). Returned only in `telegram.Bot.get_chat()`.

    Type:

      `telegram.Message`

  permissions

    Optional. Default chat member permissions, for groups and supergroups. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `telegram.ChatPermissions`

  slow_mode_delay

    Optional. For supergroups, the minimum allowed delay between consecutive messages sent by each unprivileged user. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `int`

  message_auto_delete_time

    Optional. The time after which all messages sent to the chat will be automatically deleted; in seconds. Returned only in `telegram.Bot.get_chat()`.

    New in version 13.4.

    Type:

      `int`

  has_protected_content

    Optional. `True`, if messages from the chat can’t be forwarded to other chats. Returned only in `telegram.Bot.get_chat()`.

    New in version 13.9.

    Type:

      `bool`

  has_visible_history

    Optional. `True`, if new chat members will have access to old messages; available only to chat administrators. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.8.

    Type:

      `bool`

  sticker_set_name

    Optional. For supergroups, name of Group sticker set. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `str`

  can_set_sticker_set

    Optional. `True`, if the bot can change group the sticker set. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `bool`

  linked_chat_id

    Optional. Unique identifier for the linked chat, i.e. the discussion group identifier for a channel and vice versa; for supergroups and channel chats. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `int`

  location

    Optional. For supergroups, the location to which the supergroup is connected. Returned only in `telegram.Bot.get_chat()`.

    Type:

      `telegram.ChatLocation`

  join_to_send_messages

    Optional. `True`, if users need to join the supergroup before they can send messages. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.0.

    Type:

      `bool`

  join_by_request

    Optional. `True`, if all users directly joining the supergroup need to be approved by supergroup administrators. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.0.

    Type:

      `bool`

  has_restricted_voice_and_video_messages

    Optional. `True`, if the privacy settings of the other party restrict sending voice and video note messages in the private chat. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.0.

    Type:

      `bool`

  is_forum

    Optional. `True`, if the supergroup chat is a forum (has topics enabled).

    New in version 20.0.

    Type:

      `bool`

  active_usernames

    Optional. If set, the list of all active chat usernames; for private chats, supergroups and channels. Returned only in `telegram.Bot.get_chat()`. This list is empty if the chat has no active usernames or this chat instance was not obtained via `get_chat()`.

    New in version 20.0.

    Type:

      Tuple[`str`]

  available_reactions

    Optional. List of available reactions allowed in the chat. If omitted, then all of `telegram.constants.ReactionEmoji` are allowed. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.8.

    Type:

      Tuple[`telegram.ReactionType`]

  accent_color_id

    Optional. Identifier of the `accent color` for the chat name and backgrounds of the chat photo, reply header, and link preview. See accent colors for more details. Returned only in `telegram.Bot.get_chat()`. Always returned in `telegram.Bot.get_chat()`.

    New in version 20.8.

    Type:

      `int`

  background_custom_emoji_id

    Optional. Custom emoji identifier of emoji chosen by the chat for the reply header and link preview background. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.8.

    Type:

      `str`

  profile_accent_color_id

    Optional. Identifier of the `accent color` for the chat’s profile background. See profile accent colors for more details. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.8.

    Type:

      `int`

  profile_background_custom_emoji_id

    Optional. Custom emoji identifier of the emoji chosen by the chat for its profile background. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.8.

    Type:

      `str`

  emoji_status_custom_emoji_id

    Optional. Custom emoji identifier of emoji status of the chat or the other party in a private chat. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.0.

    Type:

      `str`

  emoji_status_expiration_date

    Optional. Expiration date of emoji status of the chat or the other party in a private chat, in seconds. Returned only in `telegram.Bot.get_chat()`. The default timezone of the bot is used for localization, which is UTC unless `telegram.ext.Defaults.tzinfo` is used.

    New in version 20.5.

    Type:

      `datetime.datetime`

  has_aggressive_anti_spam_enabled

    Optional. `True`, if aggressive anti-spam checks are enabled in the supergroup. The field is only available to chat administrators. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.0.

    Type:

      `bool`

  has_hidden_members

    Optional. `True`, if non-administrators can only get the list of bots and administrators in the chat. Returned only in `telegram.Bot.get_chat()`.

    New in version 20.0.

    Type:

      `bool`

  CHANNEL = 'channel'

    `telegram.constants.ChatType.CHANNEL`

  GROUP = 'group'

    `telegram.constants.ChatType.GROUP`

  PRIVATE = 'private'

    `telegram.constants.ChatType.PRIVATE`

  SENDER = 'sender'

    `telegram.constants.ChatType.SENDER`

    New in version 13.5.

  SUPERGROUP = 'supergroup'

    `telegram.constants.ChatType.SUPERGROUP`

  async approve_join_request(user_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.approve_chat_join_request(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.approve_chat_join_request()`.

    New in version 13.8.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async ban_chat(chat_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.ban_chat_sender_chat(
            sender_chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.ban_chat_sender_chat()`.

    New in version 13.9.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async ban_member(user_id, revoke_messages=None, until_date=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.ban_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.ban_chat_member()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async ban_sender_chat(sender_chat_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.ban_chat_sender_chat(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.ban_chat_sender_chat()`.

    New in version 13.9.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async close_forum_topic(message_thread_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.close_forum_topic(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.close_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async close_general_forum_topic(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.close_general_forum_topic(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.close_general_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async copy_message(chat_id, message_id, caption=None, parse_mode=None, caption_entities=None, disable_notification=None, reply_to_message_id=None, allow_sending_without_reply=None, reply_markup=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.copy_message(from_chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.copy_message()`.

    See also

    `send_copy()`, `send_copies()`, `copy_messages()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async copy_messages(chat_id, message_ids, disable_notification=None, protect_content=None, message_thread_id=None, remove_caption=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.copy_messages(from_chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.copy_messages()`.

    See also

    `copy_message()`, `send_copy()`, `send_copies()`.

    New in version 20.8.

    Returns:

      On success, a tuple of `MessageId` of the sent messages is returned.

    Return type:

      Tuple[`telegram.MessageId`]

  async create_forum_topic(name, icon_color=None, icon_custom_emoji_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.create_forum_topic(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.create_forum_topic()`.

    New in version 20.0.

    Returns:

      `telegram.ForumTopic`

  async create_invite_link(expire_date=None, member_limit=None, name=None, creates_join_request=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.create_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.create_chat_invite_link()`.

    New in version 13.4.

    Changed in version 13.8: Edited signature according to the changes of `telegram.Bot.create_chat_invite_link()`.

    Returns:

      `telegram.ChatInviteLink`

  classmethod de_json(data, bot)

    See `telegram.TelegramObject.de_json()`.

  async decline_join_request(user_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.decline_chat_join_request(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.decline_chat_join_request()`.

    New in version 13.8.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async delete_forum_topic(message_thread_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.delete_forum_topic(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.delete_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async delete_message(message_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.delete_message(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.delete_message()`.

    New in version 20.8.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async delete_messages(message_ids, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.delete_messages(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.delete_messages()`.

    New in version 20.8.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async delete_photo(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.delete_chat_photo(
            chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.delete_chat_photo()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async edit_forum_topic(message_thread_id, name=None, icon_custom_emoji_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.edit_forum_topic(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.edit_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async edit_general_forum_topic(name, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.edit_general_forum_topic(
           chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.edit_general_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async edit_invite_link(invite_link, expire_date=None, member_limit=None, name=None, creates_join_request=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.edit_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.edit_chat_invite_link()`.

    New in version 13.4.

    Changed in version 13.8: Edited signature according to the changes of `telegram.Bot.edit_chat_invite_link()`.

    Returns:

      `telegram.ChatInviteLink`

  property effective_name

    Convenience property. Gives `title` if not `None`, else `full_name` if not `None`.

    New in version 20.1.

    Type:

      `str`

  async export_invite_link(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.export_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.export_chat_invite_link()`.

    New in version 13.4.

    Returns:

      New invite link on success.

    Return type:

      `str`

  async forward_from(from_chat_id, message_id, disable_notification=None, protect_content=None, message_thread_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.forward_message(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.forward_message()`.

    See also

    `forward_to()`, `forward_messages_from()`, `forward_messages_to()`

    New in version 20.0.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async forward_messages_from(from_chat_id, message_ids, disable_notification=None, protect_content=None, message_thread_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.forward_messages(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.forward_messages()`.

    See also

    `forward_to()`, `forward_from()`, `forward_messages_to()`.

    New in version 20.8.

    Returns:

      On success, a tuple of `MessageId` of sent messages is returned.

    Return type:

      Tuple[`telegram.MessageId`]

  async forward_messages_to(chat_id, message_ids, disable_notification=None, protect_content=None, message_thread_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.forward_messages(from_chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.forward_messages()`.

    See also

    `forward_from()`, `forward_to()`, `forward_messages_from()`.

    New in version 20.8.

    Returns:

      On success, a tuple of `MessageId` of sent messages is returned.

    Return type:

      Tuple[`telegram.MessageId`]

  async forward_to(chat_id, message_id, disable_notification=None, protect_content=None, message_thread_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.forward_message(from_chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.forward_message()`.

    See also

    `forward_from()`, `forward_messages_from()`, `forward_messages_to()`

    New in version 20.0.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  property full_name

    Convenience property. If `first_name` is not `None`, gives `first_name` followed by (if available) `last_name`.

    Note

    `full_name` will always be `None`, if the chat is a (super)group or channel.

    New in version 13.2.

    Type:

      `str`

  async get_administrators(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.get_chat_administrators(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_chat_administrators()`.

    Returns:

      A tuple of administrators in a chat. An Array of `telegram.ChatMember` objects that contains information about all chat administrators except other bots. If the chat is a group or a supergroup and no administrators were appointed, only the creator will be returned.

    Return type:

      Tuple[`telegram.ChatMember`]

  async get_member(user_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.get_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_chat_member()`.

    Returns:

      `telegram.ChatMember`

  async get_member_count(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.get_chat_member_count(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_chat_member_count()`.

    Returns:

      `int`

  async get_menu_button(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.get_chat_menu_button(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_chat_menu_button()`.

    Caution

    Can only work, if the chat is a private chat.

    See also

    `set_menu_button()`

    New in version 20.0.

    Returns:

      On success, the current menu button is returned.

    Return type:

      `telegram.MenuButton`

  async get_user_chat_boosts(user_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.get_user_chat_boosts(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_user_chat_boosts()`.

    New in version 20.8.

    Returns:

      On success, returns the boosts applied in the chat.

    Return type:

      `telegram.UserChatBoosts`

  async hide_general_forum_topic(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.hide_general_forum_topic(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.hide_general_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async leave(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.leave_chat(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.leave_chat()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  property link

    Convenience property. If the chat has a `username`, returns a t.me link of the chat.

    Type:

      `str`

  mention_html(name=None)

    New in version 20.0.

    Parameters:

      name (`str`) – The name used as a link for the chat. Defaults to `full_name`.

    Returns:

      The inline mention for the chat as HTML.

    Return type:

      `str`

    Raises:

      TypeError – If the chat is a private chat and neither the `name` nor the `first_name` is set, then throw an `TypeError`. If the chat is a public chat and neither the `name` nor the `title` is set, then throw an `TypeError`. If chat is a private group chat, then throw an `TypeError`.

  mention_markdown(name=None)

    Note

    `'Markdown'` is a legacy mode, retained by Telegram for backward compatibility. You should use `mention_markdown_v2()` instead.

    New in version 20.0.

    Parameters:

      name (`str`) – The name used as a link for the chat. Defaults to `full_name`.

    Returns:

      The inline mention for the chat as markdown (version 1).

    Return type:

      `str`

    Raises:

      TypeError – If the chat is a private chat and neither the `name` nor the `first_name` is set, then throw an `TypeError`. If the chat is a public chat and neither the `name` nor the `title` is set, then throw an `TypeError`. If chat is a private group chat, then throw an `TypeError`.

  mention_markdown_v2(name=None)

    New in version 20.0.

    Parameters:

      name (`str`) – The name used as a link for the chat. Defaults to `full_name`.

    Returns:

      The inline mention for the chat as markdown (version 2).

    Return type:

      `str`

    Raises:

      TypeError – If the chat is a private chat and neither the `name` nor the `first_name` is set, then throw an `TypeError`. If the chat is a public chat and neither the `name` nor the `title` is set, then throw an `TypeError`. If chat is a private group chat, then throw an `TypeError`.

  async pin_message(message_id, disable_notification=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.pin_chat_message(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.pin_chat_message()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async promote_member(user_id, can_change_info=None, can_post_messages=None, can_edit_messages=None, can_delete_messages=None, can_invite_users=None, can_restrict_members=None, can_pin_messages=None, can_promote_members=None, is_anonymous=None, can_manage_chat=None, can_manage_video_chats=None, can_manage_topics=None, can_post_stories=None, can_edit_stories=None, can_delete_stories=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.promote_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.promote_chat_member()`.

    New in version 13.2.

    Changed in version 20.0: The argument `can_manage_voice_chats` was renamed to `can_manage_video_chats` in accordance to Bot API 6.0.

    Changed in version 20.6: The arguments can_post_stories, can_edit_stories and can_delete_stories were added.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async reopen_forum_topic(message_thread_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.reopen_forum_topic(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.reopen_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async reopen_general_forum_topic(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.reopen_general_forum_topic(
           chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.reopen_general_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async restrict_member(user_id, permissions, until_date=None, use_independent_chat_permissions=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.restrict_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.restrict_chat_member()`.

    New in version 13.2.

    New in version 20.1: Added `use_independent_chat_permissions`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async revoke_invite_link(invite_link, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.revoke_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.revoke_chat_invite_link()`.

    New in version 13.4.

    Returns:

      `telegram.ChatInviteLink`

  async send_action(action, message_thread_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Alias for `send_chat_action`

  async send_animation(animation, duration=None, width=None, height=None, caption=None, parse_mode=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, allow_sending_without_reply=None, caption_entities=None, protect_content=None, message_thread_id=None, has_spoiler=None, thumbnail=None, reply_parameters=None, *, filename=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_animation(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_animation()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_audio(audio, duration=None, performer=None, title=None, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, parse_mode=None, allow_sending_without_reply=None, caption_entities=None, protect_content=None, message_thread_id=None, thumbnail=None, reply_parameters=None, *, filename=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_audio(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_audio()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_chat_action(action, message_thread_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_chat_action(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_chat_action()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async send_contact(phone_number=None, first_name=None, last_name=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, vcard=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, contact=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_contact(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_contact()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_copies(from_chat_id, message_ids, disable_notification=None, protect_content=None, message_thread_id=None, remove_caption=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.copy_messages(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.copy_messages()`.

    See also

    `copy_message()`, `send_copy()`, `copy_messages()`.

    New in version 20.8.

    Returns:

      On success, a tuple of `MessageId` of the sent messages is returned.

    Return type:

      Tuple[`telegram.MessageId`]

  async send_copy(from_chat_id, message_id, caption=None, parse_mode=None, caption_entities=None, disable_notification=None, reply_to_message_id=None, allow_sending_without_reply=None, reply_markup=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.copy_message(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.copy_message()`.

    See also

    `copy_message()`, `send_copies()`, `copy_messages()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_dice(disable_notification=None, reply_to_message_id=None, reply_markup=None, emoji=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_dice(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_dice()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_document(document, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, parse_mode=None, disable_content_type_detection=None, allow_sending_without_reply=None, caption_entities=None, protect_content=None, message_thread_id=None, thumbnail=None, reply_parameters=None, *, filename=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_document(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_document()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_game(game_short_name, disable_notification=None, reply_to_message_id=None, reply_markup=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_game(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_game()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_invoice(title, description, payload, provider_token, currency, prices, start_parameter=None, photo_url=None, photo_size=None, photo_width=None, photo_height=None, need_name=None, need_phone_number=None, need_email=None, need_shipping_address=None, is_flexible=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, provider_data=None, send_phone_number_to_provider=None, send_email_to_provider=None, allow_sending_without_reply=None, max_tip_amount=None, suggested_tip_amounts=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_invoice(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_invoice()`.

    Warning

    As of API 5.2 `start_parameter` is an optional argument and therefore the order of the arguments had to be changed. Use keyword arguments to make sure that the arguments are passed correctly.

    Changed in version 13.5: As of Bot API 5.2, the parameter `start_parameter` is optional.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_location(latitude=None, longitude=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, live_period=None, horizontal_accuracy=None, heading=None, proximity_alert_radius=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, location=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_location(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_location()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_media_group(media, disable_notification=None, reply_to_message_id=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None, caption=None, parse_mode=None, caption_entities=None)

    Shortcut for:

        await bot.send_media_group(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_media_group()`.

    Returns:

      On success, a tuple of `Message` instances that were sent is returned.

    Return type:

      Tuple[`telegram.Message`]

  async send_message(text, parse_mode=None, disable_web_page_preview=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, allow_sending_without_reply=None, entities=None, protect_content=None, message_thread_id=None, link_preview_options=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_message(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_message()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_photo(photo, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, parse_mode=None, allow_sending_without_reply=None, caption_entities=None, protect_content=None, message_thread_id=None, has_spoiler=None, reply_parameters=None, *, filename=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_photo(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_photo()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_poll(question, options, is_anonymous=None, type=None, allows_multiple_answers=None, correct_option_id=None, is_closed=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, explanation=None, explanation_parse_mode=None, open_period=None, close_date=None, allow_sending_without_reply=None, explanation_entities=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_poll(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_poll()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_sticker(sticker, disable_notification=None, reply_to_message_id=None, reply_markup=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, emoji=None, reply_parameters=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_sticker(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_sticker()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_venue(latitude=None, longitude=None, title=None, address=None, foursquare_id=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, foursquare_type=None, google_place_id=None, google_place_type=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, venue=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_venue(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_venue()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_video(video, duration=None, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, width=None, height=None, parse_mode=None, supports_streaming=None, allow_sending_without_reply=None, caption_entities=None, protect_content=None, message_thread_id=None, has_spoiler=None, thumbnail=None, reply_parameters=None, *, filename=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_video(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_video()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_video_note(video_note, duration=None, length=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, allow_sending_without_reply=None, protect_content=None, message_thread_id=None, thumbnail=None, reply_parameters=None, *, filename=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_video_note(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_video_note()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async send_voice(voice, duration=None, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, parse_mode=None, allow_sending_without_reply=None, caption_entities=None, protect_content=None, message_thread_id=None, reply_parameters=None, *, filename=None, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.send_voice(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_voice()`.

    Returns:

      On success, instance representing the message posted.

    Return type:

      `telegram.Message`

  async set_administrator_custom_title(user_id, custom_title, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.set_chat_administrator_custom_title(
            update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.set_chat_administrator_custom_title()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async set_description(description=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.set_chat_description(
            chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.set_chat_description()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async set_menu_button(menu_button=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.set_chat_menu_button(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.set_chat_menu_button()`.

    Caution

    Can only work, if the chat is a private chat.

    See also

    `get_menu_button()`

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async set_message_reaction(message_id, reaction=None, is_big=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.set_message_reaction(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.set_message_reaction()`.

    New in version 20.8.

    Returns:

      `bool` On success, `True` is returned.

  async set_permissions(permissions, use_independent_chat_permissions=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.set_chat_permissions(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.set_chat_permissions()`.

    New in version 20.1: Added `use_independent_chat_permissions`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async set_photo(photo, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.set_chat_photo(
            chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.set_chat_photo()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async set_title(title, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.set_chat_title(
            chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.set_chat_title()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unban_chat(chat_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unban_chat_sender_chat(
            sender_chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.unban_chat_sender_chat()`.

    New in version 13.9.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unban_member(user_id, only_if_banned=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unban_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unban_chat_member()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unban_sender_chat(sender_chat_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unban_chat_sender_chat(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unban_chat_sender_chat()`.

    New in version 13.9.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unhide_general_forum_topic(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unhide_general_forum_topic (
           chat_id=update.effective_chat.id, *args, **kwargs
        )

    For the documentation of the arguments, please see `telegram.Bot.unhide_general_forum_topic()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unpin_all_forum_topic_messages(message_thread_id, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unpin_all_forum_topic_messages(chat_id=update.effective_chat.id,
           *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unpin_all_forum_topic_messages()`.

    New in version 20.0.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unpin_all_general_forum_topic_messages(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unpin_all_general_forum_topic_messages(chat_id=update.effective_chat.id,
           *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unpin_all_general_forum_topic_messages()`.

    New in version 20.5.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unpin_all_messages(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unpin_all_chat_messages(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unpin_all_chat_messages()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`

  async unpin_message(message_id=None, *, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Shortcut for:

        await bot.unpin_chat_message(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unpin_chat_message()`.

    Returns:

      On success, `True` is returned.

    Return type:

      `bool`